Subject: grow: Re: Update on GROW BOF

From: David Meyer <[email-masked]>
Date: Wed, 29 Jan 2003 22:27:00 -0800

On Wed, Jan 29, 2003 at 11:20:55PM +0200, Pekka Savola wrote:
>> On Wed, 29 Jan 2003, David Meyer wrote:
>> >  	The Border Gateway Protocol (BGP) is fundamental to the
>> >  	operation of the Internet. In recent years, the occurrence
>> >  	of BGP related operational issues has increased, and
>> >  	while overall understanding of the default-free routing
>> >  	system has improved, there is still a long and growing
>> >  	list of concerns. Among these are routing table growth rates,
>> >  	dynamic properties of the routing system, and the effects
>> >  	of routing policy on both the size and dynamic nature of
>> >  	the routing table. In addition, new and innovative uses of
>> >  	BGP, such as the use of BGP as a signaling protocol for
>> >  	applications such as VPN, have created new and unexpected
>> >  	operational issues.
>> >  	
>> >  	The purpose of the Global Routing Operations WG (GROW) is
>> > 	continue and expand on the original charter of the
>> > 	PTOMAINE WG. In particular, the purpose of GROW is to
>> > 	consider and measure the problem of routing table growth,
>> > 	and where appropriate, to document the operational
>> > 	aspects of measurement, policy, security, and VPN
>> > 	infrastructures. 
>> 
>> Two specific comments and a generic one.
>> 
>> 1) I'm having hard time grasping BGP VPN's as part of "Global Routing 
>> Operations".
>>
>> 2) It is not entirely clear to me, based on the wording of the first
>> sentence of the second paragraph, whether ptomaine is being shut down --
>> as otherwise the apparent overlap seems a bit confusing.

It kinda died. GROW replaces/carries on for PTOMAINE.

>> And, at least the tentative description seems still rather vague and
>> open-ended.  At least for the charter, a more specific goals would be
>> preferable so everything related to operational aspects of BGP would not
>> be on the table.

The BOF was originally entitled BGP OPS (BOPS), but was expanded
(by IESG and other request) to include other aspects of the
global routing system (including the interaction with various VPN
technologies, e.g. 2547). That being the case, I would say that
the operational aspects of BGP are on the table for this one.

All of that being said, one of the purposes of the BOF is to
refine the BOF description into a workable charter.

Dave
____________________________________________________________
Web Archive:     http://darkwing.uoregon.edu/~llynch/grow/
.               (username: grow password: light)